Bug 617019 - cds.repo_cert_handler: AttributeError: 'mp_request' object has no attribute 'ssl_var_lookup'
Summary: cds.repo_cert_handler: AttributeError: 'mp_request' object has no attribute '...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
(Show other bugs)
Version: 1.1
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Jay Dobies
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-21 22:30 UTC by wes hayutin
Modified: 2012-05-31 12:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 12:58:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wes hayutin 2010-07-21 22:30:37 UTC
[root@ip-10-202-197-207 ~]# yum repolist
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * rh-cloud: ec2-174-129-113-75.compute-1.amazonaws.com
CLIENT *********************

https://ec2-174-129-113-75.compute-1.amazonaws.com/content/dist/rhel/server/5Server/i386/os/repodata/repomd.xml: [Errno 14] HTTP Error 500: Internal Server Error
Trying other mirror.
https://ec2-184-72-155-60.compute-1.amazonaws.com/content/dist/rhel/server/5Server/i386/os/repodata/repomd.xml: [Errno 14] HTTP Error 500: Internal Server Error
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rh-cloud. Please verify its path and try again

CDS**********************

[Wed Jul 21 18:28:18 2010] [error] [client 10.202.197.207] PythonAuthenHandler cds.repo_cert_handler: Traceback (most recent call last):
[Wed Jul 21 18:28:18 2010] [error] [client 10.202.197.207] PythonAuthenHandler cds.repo_cert_handler:   File "/usr/lib64/python2.4/site-packages/mod_python/apache.py", line 299, in HandlerDispatch\n    result = object(req)
[Wed Jul 21 18:28:18 2010] [error] [client 10.202.197.207] PythonAuthenHandler cds.repo_cert_handler:   File "/usr/lib/python2.4/site-packages/cds/repo_cert_handler.py", line 39, in authenhandler\n    cert_pem = req.ssl_var_lookup('SSL_CLIENT_CERT')
[Wed Jul 21 18:28:18 2010] [error] [client 10.202.197.207] PythonAuthenHandler cds.repo_cert_handler: AttributeError: 'mp_request' object has no attribute 'ssl_var_lookup'


[root@ip-10-202-51-13 rpms]# rpm -ql rh-cds-config-0.1-1
/etc/httpd/conf.d/cds_ssl.conf
/etc/pki/tls/certs/ca.crt
/etc/pki/tls/certs/chain.crt
/etc/pki/tls/certs/server.crt
/etc/pki/tls/private/server.key
[root@ip-10-202-51-13 rpms]# rpm -ql rh-cds-0.10-1.el5
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info/PKG-INFO
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info/SOURCES.txt
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info/dependency_links.txt
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info/top_level.txt
/usr/lib/python2.4/site-packages/cds/__init__.py
/usr/lib/python2.4/site-packages/cds/__init__.pyc
/usr/lib/python2.4/site-packages/cds/__init__.pyo
/usr/lib/python2.4/site-packages/cds/certificate.py
/usr/lib/python2.4/site-packages/cds/certificate.pyc
/usr/lib/python2.4/site-packages/cds/certificate.pyo
/usr/lib/python2.4/site-packages/cds/repo_cert_handler.py
/usr/lib/python2.4/site-packages/cds/repo_cert_handler.pyc
/usr/lib/python2.4/site-packages/cds/repo_cert_handler.pyo
/usr/lib/python2.4/site-packages/cds/repo_cert_validation.py
/usr/lib/python2.4/site-packages/cds/repo_cert_validation.pyc
/usr/lib/python2.4/site-packages/cds/repo_cert_validation.pyo

Comment 1 wes hayutin 2010-07-21 22:38:59 UTC
Recreate:
1. setup env w/ rhui tools and rhui rpms
2. rhua start, everything should look good..
3. setup a client, install rh-client rpm, yum repolist

Comment 2 Shveta 2010-07-22 09:40:36 UTC
Recreated : Getting  401 error on client .

on Client : 

[root@ip-10-160-254-192 noarch]# yum repolist
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
Enter passphrase:
https://ec2-184-72-20-84.us-west-1.compute.amazonaws.com/content/dist/rhel/server/5Server/x86_64/os/repodata/repomd.xml: [Errno 14] HTTP Error 401: Authorization Required
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rh-cloud. Please verify its path and try again


On CDS : installed rh-cds 
installed mod_python latest version
installed rh-cds-config

vi /var/log/cds/ 
The url read is wrong : content/rhel/server/5Server/x86_64/os

2010-07-22 04:29:32,566  Verifying client entitlement
2010-07-22 04:29:32,567  Destination [/content/dist/rhel/server/5Server/x86_64/os/repodata/repomd.xml]
2010-07-22 04:29:32,567  OID URL     [content/rhel/server/5Server/x86_64/os]
2010-07-22 04:42:24,019  Verifying client entitlement
2010-07-22 04:42:24,020  Destination [/content/dist/rhel/server/5Server/x86_64/os/repodata/repomd.xml]
2010-07-22 04:42:24,021  OID URL     [content/rhel/server/5Server/x86_64/os]
2010-07-22 04:52:03,221  Verifying client entitlement
2010-07-22 04:52:03,222  Destination [/content/dist/rhel/server/5Server/x86_64/os/repodata/repomd.xml]
2010-07-22 04:52:03,222  OID URL     [content/rhel/server/5Server/x86_64/os]
2010-07-22 05:28:55,845  Verifying client entitlement
2010-07-22 05:28:55,846  Destination [/content/dist/rhel/server/5Server/x86_64/os/repodata/repomd.xml]
2010-07-22 05:28:55,846  OID URL     [content/rhel/server/5Server/x86_64/os]


==========================================

[root@ip-10-161-97-188 cds]# rpm -ql rh-cds
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info/PKG-INFO
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info/SOURCES.txt
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info/dependency_links.txt
/usr/lib/python2.4/site-packages/cds-0.10-py2.4.egg-info/top_level.txt
/usr/lib/python2.4/site-packages/cds/__init__.py
/usr/lib/python2.4/site-packages/cds/__init__.pyc
/usr/lib/python2.4/site-packages/cds/__init__.pyo
/usr/lib/python2.4/site-packages/cds/certificate.py
/usr/lib/python2.4/site-packages/cds/certificate.pyc
/usr/lib/python2.4/site-packages/cds/certificate.pyo
/usr/lib/python2.4/site-packages/cds/repo_cert_handler.py
/usr/lib/python2.4/site-packages/cds/repo_cert_handler.pyc
/usr/lib/python2.4/site-packages/cds/repo_cert_handler.pyo
/usr/lib/python2.4/site-packages/cds/repo_cert_validation.py
/usr/lib/python2.4/site-packages/cds/repo_cert_validation.pyc
/usr/lib/python2.4/site-packages/cds/repo_cert_validation.pyo
[root@ip-10-161-97-188 cds]# rpm -ql rh-cds-config
/etc/httpd/conf.d/cds_ssl.conf
/etc/pki/tls/certs/ca.crt
/etc/pki/tls/certs/chain.crt
/etc/pki/tls/certs/server.crt
/etc/pki/tls/private/server.key
[root@ip-10-161-97-188 cds]#

Comment 3 Jay Dobies 2010-07-22 12:22:23 UTC
You need to install a newer version of mod_python. It should have come
down when you ran nimbus_setup and can be found locally at
/tmp/nimbus-rpms. If not, it'll be on axiom.

Comment 4 wes hayutin 2010-07-22 13:34:41 UTC
The fix for this was checked in 7/22 @ 8:46am


[whayutin@whayutin cloude]$ git show
commit 617d7fbe49c8cf9bf925dd4de0c014c35b83f31a
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Thu Jul 22 08:46:19 2010 -0400

    Brought entitlements up to speed with new URL structure

diff --git a/rhui-internal/dev-tools/ssl/ext.txt b/rhui-internal/dev-tools/ssl/ext.txt
index bb2e219..908c868 100644
--- a/rhui-internal/dev-tools/ssl/ext.txt
+++ b/rhui-internal/dev-tools/ssl/ext.txt
@@ -10,7 +10,7 @@ basicConstraints=CA:FALSE
 1.3.6.1.4.1.2312.2.7.7=ASN1:UTF8:4
 1.3.6.1.4.1.2312.2.7.8=ASN1:UTF8:None
 1.3.6.1.4.1.2312.2.7.9=ASN1:UTF8:98
-1.3.6.1.4.1.2312.9.2.0.1.6=ASN1:UTF8:content/rhel/server/5Server/i386/os
+1.3.6.1.4.1.2312.9.2.0.1.6=ASN1:UTF8:content/dist/rhel/server/5Server/i386/os
 
 [rhel64]
 basicConstraints=CA:FALSE
@@ -24,4 +24,4 @@ basicConstraints=CA:FALSE
 1.3.6.1.4.1.2312.2.7.7=ASN1:UTF8:4
 1.3.6.1.4.1.2312.2.7.8=ASN1:UTF8:None
 1.3.6.1.4.1.2312.2.7.9=ASN1:UTF8:98
-1.3.6.1.4.1.2312.9.2.0.1.6=ASN1:UTF8:content/rhel/server/5Server/x86_64/os
+1.3.6.1.4.1.2312.9.2.0.1.6=ASN1:UTF8:content/dist/rhel/server/5Server/x86_64/os

Comment 5 Shveta 2010-07-23 08:06:25 UTC
Fixed with newer version of mod_python

Comment 6 wes hayutin 2011-08-01 21:40:54 UTC
moving to release pending

Comment 7 wes hayutin 2012-05-31 12:58:02 UTC
closing out, product released


Note You need to log in before you can comment on or make changes to this bug.